#!/bin/sh

if [ "$1" == '-h' -o "$2" == '--help' ]; then
  echo 'Usage: control.sh [PV_PREFIX DEVICE_NAME]'
  echo 'Parameters:'
  echo '  PV_PREFIX    PV name prefix (default: "sim17bm:")'
  echo '  DEVICE_NAME  Name of auto-fill device (default: "ilm201_1")'
  echo 'Example: control.sh'
  echo 'Example: control.sh sim17bm: ilm201_1'
  exit 0
fi

pvPrefix=sim17bm:
if [ "$1" != '' ]; then pvPrefix="$1"; fi
deviceName=ilm201_1
if [ "$2" != '' ]; then deviceName="$2"; fi

THIS_SCRIPT_HOME=`dirname "$0"`
cd "$THIS_SCRIPT_HOME"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$THIS_SCRIPT_HOME\"." 1>&2
  exit 1
fi
THIS_SCRIPT_HOME=`pwd`
if [ $? -ne 0 ]; then
  echo 'Failed to get current working directory.' 1>&2
  exit 1
fi

cd "../src"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$THIS_SCRIPT_HOME/../src\"." 1>&2
  exit 1
fi

exec medm -x -macro "P=${pvPrefix},D=${deviceName}" ./oxford-ilm201.adl
