#!/bin/sh

if [ "$1" == '-h' -o "$2" == '--help' ]; then
  echo 'Usage: monitor.sh [PV_PREFIX DEVICE_NAME]'
  echo 'Parameters:'
  echo '  PV_PREFIX    PV name prefix (default: "sim17bm:")'
  echo '  DEVICE_NAME  Name of auto-fill device (default: "ilm201_1")'
  echo 'Example: monitor.sh'
  echo 'Example: monitor.sh sim17bm: ilm201_1'
  exit 0
fi

pvPrefix=sim17bm:
if [ "$1" != '' ]; then pvPrefix="$1"; fi
deviceName=ilm201_1
if [ "$2" != '' ]; then deviceName="$2"; fi

exec camonitor \
  ${pvPrefix}${deviceName}:IsSimulated \
  ${pvPrefix}${deviceName}:SetLvlSrc.SVAL \
  ${pvPrefix}${deviceName}:SimRawLevel \
  ${pvPrefix}${deviceName}:RawLevel.AINP \
  ${pvPrefix}${deviceName}:Level.INAA \
  ${pvPrefix}${deviceName}:Level
